Skip to main content
POST
Bulk update providers/customers mapping

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

sync
default:false

Sync the customer with the provider after updating the mapping. If the provider is a Payment Service Provider, the payment methods of the customers will be imported.

Body

application/json
customer_id
string
required

Customer ID.

Example:

"cus_Typ0px2W0aiEtl"

provider_name
enum<string>
required

Provider name.

Available options:
mollie,
stripe,
gocardless,
airwallex,
hubspot,
attio,
salesforce,
xero,
exact-online,
pennylane,
quickbooks,
netsuite,
anrok
provider_account_id
string | null
required

ID of the customer on the provider side. Using a null value will reset the previously saved ID.

provider_id
string

Provider ID. Required if multiple instances of the same provider are connected in Hyperline.

Response

200 - application/json
successful
number
required

Number of record successfully updated.

expected
number
required

Number of record expected to be updated.

updated
string[]
required

Customer IDs that were successfully updated.